2020-10-13 21:28:36 UTC
287 MB
1.14.9
GOPATH/go
PATH/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:c303ed7c76e74ddfd5fc798c4922c89902a340db03b34bdaeb1974366f3c46a1 - 16.97% (48.8 MB)
[#001] sha256:63785be044bb8d2e10e90138f54d46ca10cdf3c488a506f016e20e3616b3ed47 - 2.65% (7.61 MB)
[#002] sha256:2f7a218c61768debfbd306af73aba7ce33e177373f9074a3655c5289d599706b - 3.43% (9.86 MB)
[#003] sha256:70642f7883120399f94e6ebeaf462f650791e043356533691f94187b38407d54 - 17.73% (51 MB)
[#004] sha256:04cfdeb65fa7b61136583b4eb3201ddcc0d43a347eb1b84d4414c344558c5613 - 24.4% (70.1 MB)
[#005] sha256:7683fd36e5140a68ba200309a2a43d0e6a2e1402e93b4f8c119afb14b48beb21 - 34.81% (100 MB)
[#006] sha256:df699520206a518243abe467a7f955854a419762c2efa7245187c0c7ca82a391 - 0.0% (126 Bytes)
/bin/sh -c #(nop) ADD file:67b2b1e6cbc655edc4f78c724cd2048f8b0b336c3b56cca448b65ee9bb594ede in /
2020-10-13 01:40:36 UTC/bin/sh -c #(nop) CMD ["bash"]
2020-10-13 02:19:34 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl netbase wget && rm -rf /var/lib/apt/lists/*
2020-10-13 02:19:43 UTC/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi
2020-10-13 02:20:10 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*
2020-10-13 21:27:36 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends g++ gcc libc6-dev make pkg-config && rm -rf /var/lib/apt/lists/*
2020-10-13 21:27:37 UTC/bin/sh -c #(nop) ENV PATH=/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2020-10-13 21:28:19 UTC/bin/sh -c #(nop) ENV GOLANG_VERSION=1.14.9
2020-10-13 21:28:34 UTC/bin/sh -c set -eux; dpkgArch="$(dpkg --print-architecture)"; case "${dpkgArch##*-}" in 'amd64') arch='linux-amd64'; url='https://storage.googleapis.com/golang/go1.14.9.linux-amd64.tar.gz'; sha256='f0d26ff572c72c9823ae752d3c81819a81a60c753201f51f89637482531c110a'; ;; 'armhf') arch='linux-armv6l'; url='https://storage.googleapis.com/golang/go1.14.9.linux-armv6l.tar.gz'; sha256='e85dc09608dc9fc245ebc5daea0826898ac0eb0d48ed24e2300427850876c442'; ;; 'arm64') arch='linux-arm64'; url='https://storage.googleapis.com/golang/go1.14.9.linux-arm64.tar.gz'; sha256='65e6cef5c474a3514e754f6a7987c49388bb85a7b370370c1318087ac35427fa'; ;; 'i386') arch='linux-386'; url='https://storage.googleapis.com/golang/go1.14.9.linux-386.tar.gz'; sha256='14982ef997ec323023a11cffe1a4afc3aacd1b5edebf70a00e17b67f888d8cdb'; ;; 'ppc64el') arch='linux-ppc64le'; url='https://storage.googleapis.com/golang/go1.14.9.linux-ppc64le.tar.gz'; sha256='5880a37faf93b2396edc3ff231e0f8df14d0520505cc13d01116e24d7d1d0147'; ;; 's390x') arch='linux-s390x'; url='https://storage.googleapis.com/golang/go1.14.9.linux-s390x.tar.gz'; sha256='381fc24aff153c4affcb00f4547683212157af29b8f9e3de5952d78ac35f5a0f'; ;; *) arch='src'; url='https://storage.googleapis.com/golang/go1.14.9.src.tar.gz'; sha256='c687c848cc09bcabf2b5e534c3fc4259abebbfc9014dd05a1a2dc6106f404554'; echo >&2; echo >&2 "warning: current architecture ($dpkgArch) does not have a corresponding Go binary release; will be building from source"; echo >&2; ;; esac; wget -O go.tgz.asc "$url.asc" --progress=dot:giga; wget -O go.tgz "$url" --progress=dot:giga; echo "$sha256 *go.tgz" | sha256sum --strict --check -; export GNUPGHOME="$(mktemp -d)"; gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys 'EB4C 1BFD 4F04 2F6D DDCC EC91 7721 F63B D38B 4796'; gpg --batch --verify go.tgz.asc go.tgz; gpgconf --kill all; rm -rf "$GNUPGHOME" go.tgz.asc; tar -C /usr/local -xzf go.tgz; rm go.tgz; if [ "$arch" = 'src' ]; then savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends golang-go; goEnv="$(go env | sed -rn -e '/^GO(OS|ARCH|ARM|386)=/s//export \0/p')"; eval "$goEnv"; [ -n "$GOOS" ]; [ -n "$GOARCH" ]; ( cd /usr/local/go/src; ./make.bash; ); apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark > /dev/null; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*; go install std; rm -rf /usr/local/go/pkg/*/cmd /usr/local/go/pkg/bootstrap /usr/local/go/pkg/obj /usr/local/go/pkg/tool/*/api /usr/local/go/pkg/tool/*/go_bootstrap /usr/local/go/src/cmd/dist/dist ; fi; go version
2020-10-13 21:28:35 UTC/bin/sh -c #(nop) ENV GOPATH=/go
2020-10-13 21:28:35 UTC/bin/sh -c #(nop) ENV PATH=/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2020-10-13 21:28:36 UTC/bin/sh -c mkdir -p "$GOPATH/src" "$GOPATH/bin" && chmod -R 777 "$GOPATH"
2020-10-13 21:28:36 UTC/bin/sh -c #(nop) WORKDIR /go
2020-10-14 12:47:31 UTC
5.52 GB
8f65208f92c0b4c3ae4c0cf02d4b5f6791d539cd1a07b2df62b7116467724735
GIT_DOWNLOAD_URLhttps://github.com/git-for-windows/git/releases/download/v2.23.0.windows.1/MinGit-2.23.0-64-bit.zip
GIT_TAGv2.23.0.windows.1
GIT_VERSION2.23.0
GOLANG_VERSION1.14.9
GOPATHC:\gopath
[#000] sha256:3889bb8d808bbae6fa5a33e07093e65c31371bcf9e4c38c21be6b9af52ad1548 - 68.64% (3.79 GB)
[#001] sha256:17a32268498b2feefa5457f0423ac15473596d514e48c694ef54d740a9a5067d - 28.19% (1.56 GB)
[#002] sha256:e300a13db0fbbf48a676ace9db3b0de292c825dfa01e6d82979d96ebc23d3675 - 0.0% (1.13 KB)
[#003] sha256:528ba1d9759adcc464112008fe49672e1f545981d69bab31186587ab32f92138 - 0.0% (1.1 KB)
[#004] sha256:53bf4e6180661653575845d30a4d882dea92f395cb540b1cdf91170e9ee58731 - 0.0% (1.13 KB)
[#005] sha256:53e973f094614bb2cebe16df6f6004c05895ed077151aecdbbd0c476513054fc - 0.0% (1.14 KB)
[#006] sha256:1089b875ac355097876e23760dd2166f096a8645e312660ffd3c0e617a2df9a0 - 0.0% (1.12 KB)
[#007] sha256:8934a016b666d0691307c6414d84c36eb82de4b2fc4d74dd04c75f632dc3a78c - 0.59% (33.4 MB)
[#008] sha256:cd4d95d13c0a45aa19a623e51cb112530a589a3a4d15d5c119610f8196912fab - 0.0% (1.1 KB)
[#009] sha256:8bf8226941bb8f5af9f2be8fdb54da3e3caef344b0061a73e3debde23a55e98f - 0.17% (9.41 MB)
[#010] sha256:d1c853f53fc418479f31e0f3126ce797d8856ac18457d52a6a8afd2bb82bb901 - 0.0% (1.1 KB)
[#011] sha256:9252b4af3042a54d971ec0b85e86d2e2630f01f1d86a4bb0ddc033e0784cb329 - 2.41% (136 MB)
[#012] sha256:7eca72c26de5c2a3894be93ad63055723ded8800314dbfc9a845b927efc0aeda - 0.0% (1.28 KB)
Apply image 1607-RTM-amd64
2020-10-02 17:07:00 UTCInstall update ltsc2016-amd64
2020-10-14 12:31:45 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]
2020-10-14 12:31:45 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_VERSION=2.23.0
2020-10-14 12:31:46 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_TAG=v2.23.0.windows.1
2020-10-14 12:31:46 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_DOWNLOAD_URL=https://github.com/git-for-windows/git/releases/download/v2.23.0.windows.1/MinGit-2.23.0-64-bit.zip
2020-10-14 12:31:47 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_DOWNLOAD_SHA256=8f65208f92c0b4c3ae4c0cf02d4b5f6791d539cd1a07b2df62b7116467724735
2020-10-14 12:33:56 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading {0} ...' -f $env:GIT_DOWNLOAD_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:GIT_DOWNLOAD_URL -OutFile 'git.zip'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:GIT_DOWNLOAD_SHA256); if ((Get-FileHash git.zip -Algorithm sha256).Hash -ne $env:GIT_DOWNLOAD_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; Expand-Archive -Path git.zip -DestinationPath C:\git\.; Write-Host 'Removing ...'; Remove-Item git.zip -Force; Write-Host 'Updating PATH ...'; $env:PATH = 'C:\git\cmd;C:\git\mingw64\bin;C:\git\usr\bin;' + $env:PATH; [Environment]::SetEnvironmentVariable('PATH', $env:PATH, [EnvironmentVariableTarget]::Machine); Write-Host 'Verifying install ("git version") ...'; git version; Write-Host 'Complete.';
2020-10-14 12:33:58 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GOPATH=C:\gopath
2020-10-14 12:35:13 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('{0}\bin;C:\go\bin;{1}' -f $env:GOPATH, $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); [Environment]::SetEnvironmentVariable('PATH', $newPath, [EnvironmentVariableTarget]::Machine);
2020-10-14 12:44:08 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GOLANG_VERSION=1.14.9
2020-10-14 12:47:29 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $url = 'https://storage.googleapis.com/golang/go1.14.9.windows-amd64.zip'; Write-Host ('Downloading {0} ...' -f $url); Invoke-WebRequest -Uri $url -OutFile 'go.zip'; $sha256 = '16bb44448c4423740c5fd751bad28061d5ec44cd08272d4e1efdd16cdf8221e9'; Write-Host ('Verifying sha256 ({0}) ...' -f $sha256); if ((Get-FileHash go.zip -Algorithm sha256).Hash -ne $sha256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; Expand-Archive go.zip -DestinationPath C:\; Write-Host 'Removing ...'; Remove-Item go.zip -Force; Write-Host 'Verifying install ("go version") ...'; go version; Write-Host 'Complete.';
2020-10-14 12:47:31 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) WORKDIR C:\gopath
2020-10-14 04:24:47 UTC
298 MB
1.14.9
GOPATH/go
PATH/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:e4c3d3e4f7b024979a1c12daa4073f6353b2ba92d96418bc90451994927c9bff - 16.12% (48.1 MB)
[#001] sha256:101c41d0463bc77661fb3343235b16d536a92d2efb687046164d413e51bd4fc4 - 2.5% (7.45 MB)
[#002] sha256:8275efcd805f9905d7def23603618236284b0be6b9e47455c638fbfb03fa9208 - 3.2% (9.53 MB)
[#003] sha256:751620502a7a2905067c2f32d4982fb9b310b9808670ce82c0e2b40f5307a3ee - 16.58% (49.4 MB)
[#004] sha256:aaabf962c4fc1520bac4e6c525143deca224d303008f02dcf18cd3d1942239d3 - 21.98% (65.5 MB)
[#005] sha256:5610ac35c8d2e300c6580162e13c22cc3d13cfc5b3d90dc6df93e748c19240ab - 39.61% (118 MB)
[#006] sha256:324c78229f75371f39c4d3e1fc152f0e62829cfdbc5a13430abc3af2b871677f - 0.0% (125 Bytes)
/bin/sh -c #(nop) ADD file:6627ad39ea0cb9fcb212342326d14efaff51aece1fd0dc16d5bbcaa25d858622 in /
2020-10-13 01:38:30 UTC/bin/sh -c #(nop) CMD ["bash"]
2020-10-13 02:14:45 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl netbase wget && rm -rf /var/lib/apt/lists/*
2020-10-13 02:14:57 UTC/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi
2020-10-13 02:15:20 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*
2020-10-14 04:24:07 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends g++ gcc libc6-dev make pkg-config && rm -rf /var/lib/apt/lists/*
2020-10-14 04:24:07 UTC/bin/sh -c #(nop) ENV PATH=/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2020-10-14 04:24:33 UTC/bin/sh -c #(nop) ENV GOLANG_VERSION=1.14.9
2020-10-14 04:24:45 UTC/bin/sh -c set -eux; dpkgArch="$(dpkg --print-architecture)"; case "${dpkgArch##*-}" in 'amd64') arch='linux-amd64'; url='https://storage.googleapis.com/golang/go1.14.9.linux-amd64.tar.gz'; sha256='f0d26ff572c72c9823ae752d3c81819a81a60c753201f51f89637482531c110a'; ;; 'armhf') arch='linux-armv6l'; url='https://storage.googleapis.com/golang/go1.14.9.linux-armv6l.tar.gz'; sha256='e85dc09608dc9fc245ebc5daea0826898ac0eb0d48ed24e2300427850876c442'; ;; 'arm64') arch='linux-arm64'; url='https://storage.googleapis.com/golang/go1.14.9.linux-arm64.tar.gz'; sha256='65e6cef5c474a3514e754f6a7987c49388bb85a7b370370c1318087ac35427fa'; ;; 'i386') arch='linux-386'; url='https://storage.googleapis.com/golang/go1.14.9.linux-386.tar.gz'; sha256='14982ef997ec323023a11cffe1a4afc3aacd1b5edebf70a00e17b67f888d8cdb'; ;; 'ppc64el') arch='linux-ppc64le'; url='https://storage.googleapis.com/golang/go1.14.9.linux-ppc64le.tar.gz'; sha256='5880a37faf93b2396edc3ff231e0f8df14d0520505cc13d01116e24d7d1d0147'; ;; 's390x') arch='linux-s390x'; url='https://storage.googleapis.com/golang/go1.14.9.linux-s390x.tar.gz'; sha256='381fc24aff153c4affcb00f4547683212157af29b8f9e3de5952d78ac35f5a0f'; ;; *) arch='src'; url='https://storage.googleapis.com/golang/go1.14.9.src.tar.gz'; sha256='c687c848cc09bcabf2b5e534c3fc4259abebbfc9014dd05a1a2dc6106f404554'; echo >&2; echo >&2 "warning: current architecture ($dpkgArch) does not have a corresponding Go binary release; will be building from source"; echo >&2; ;; esac; wget -O go.tgz.asc "$url.asc" --progress=dot:giga; wget -O go.tgz "$url" --progress=dot:giga; echo "$sha256 *go.tgz" | sha256sum --strict --check -; export GNUPGHOME="$(mktemp -d)"; gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys 'EB4C 1BFD 4F04 2F6D DDCC EC91 7721 F63B D38B 4796'; gpg --batch --verify go.tgz.asc go.tgz; gpgconf --kill all; rm -rf "$GNUPGHOME" go.tgz.asc; tar -C /usr/local -xzf go.tgz; rm go.tgz; if [ "$arch" = 'src' ]; then savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends golang-go; goEnv="$(go env | sed -rn -e '/^GO(OS|ARCH|ARM|386)=/s//export \0/p')"; eval "$goEnv"; [ -n "$GOOS" ]; [ -n "$GOARCH" ]; ( cd /usr/local/go/src; ./make.bash; ); apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark > /dev/null; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*; go install std; rm -rf /usr/local/go/pkg/*/cmd /usr/local/go/pkg/bootstrap /usr/local/go/pkg/obj /usr/local/go/pkg/tool/*/api /usr/local/go/pkg/tool/*/go_bootstrap /usr/local/go/src/cmd/dist/dist ; fi; go version
2020-10-14 04:24:46 UTC/bin/sh -c #(nop) ENV GOPATH=/go
2020-10-14 04:24:46 UTC/bin/sh -c #(nop) ENV PATH=/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2020-10-14 04:24:47 UTC/bin/sh -c mkdir -p "$GOPATH/src" "$GOPATH/bin" && chmod -R 777 "$GOPATH"
2020-10-14 04:24:47 UTC/bin/sh -c #(nop) WORKDIR /go
2020-10-14 12:43:53 UTC
2.37 GB
8f65208f92c0b4c3ae4c0cf02d4b5f6791d539cd1a07b2df62b7116467724735
GIT_DOWNLOAD_URLhttps://github.com/git-for-windows/git/releases/download/v2.23.0.windows.1/MinGit-2.23.0-64-bit.zip
GIT_TAGv2.23.0.windows.1
GIT_VERSION2.23.0
GOLANG_VERSION1.14.9
GOPATHC:\gopath
[#000] sha256:4612f6d0b889cad0ed0292fae3a0b0c8a9e49aff6dea8eb049b2386d9b07986f - 67.48% (1.6 GB)
[#001] sha256:406ffb8432a757e84f7594e85c676620dec6955e0475ac271aa4dd5c0531190d - 25.75% (625 MB)
[#002] sha256:5e61fff845eda39f31bdf5d797254fdf656ee79d8c294c1713007864bc4c2535 - 0.0% (1.1 KB)
[#003] sha256:d23a75d88f9f5980bb112e2c28248975f107144d8d2e40dc4755e2a09f5e56df - 0.0% (1.1 KB)
[#004] sha256:0bea6d8b9d9b014ffa471b7bb8882ddb7e9d378ddcacc099f0710073bd6361b9 - 0.0% (1.1 KB)
[#005] sha256:e75c1905c0573cc5706bc066d23624f0e92a8871832c744fbe7eabdcbc6f8a85 - 0.0% (1.1 KB)
[#006] sha256:938695376d9deeba8819539ff3245935c28f93229d1c332bb8b6a16e67013fbc - 0.0% (1.12 KB)
[#007] sha256:41106c6a476cf9666c6d8c3c853c982a841c29db05b3ef8a072baba537b6d74c - 1.35% (32.7 MB)
[#008] sha256:98d6d6258831f87f3b455e6316e2bed430465a760272614de7cdd28c7c6e9f3e - 0.0% (1.1 KB)
[#009] sha256:e0e3f66638c4d5ce9adba16e49844f57efbab1d628d9d6c73133511b7c1c3892 - 0.01% (303 KB)
[#010] sha256:5de95bbe4c06b5ec1e11f79b684773d419eb2236e0dafc0dc918903f42e520ff - 0.0% (1.12 KB)
[#011] sha256:78df25c12716570f89f8a047ef08e7f1b5e034764a58ffd78238fa484bbe6aaa - 5.41% (131 MB)
[#012] sha256:c778947ded1566c0dcebc9b8814983e16ff29f501405fd177b1b7cb4c156800a - 0.0% (1.27 KB)
Apply image 1809-RTM-amd64
2020-10-01 02:26:38 UTCInstall update 1809-amd64
2020-10-14 12:27:02 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]
2020-10-14 12:27:03 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_VERSION=2.23.0
2020-10-14 12:27:04 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_TAG=v2.23.0.windows.1
2020-10-14 12:27:04 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_DOWNLOAD_URL=https://github.com/git-for-windows/git/releases/download/v2.23.0.windows.1/MinGit-2.23.0-64-bit.zip
2020-10-14 12:27:05 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_DOWNLOAD_SHA256=8f65208f92c0b4c3ae4c0cf02d4b5f6791d539cd1a07b2df62b7116467724735
2020-10-14 12:28:37 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading {0} ...' -f $env:GIT_DOWNLOAD_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:GIT_DOWNLOAD_URL -OutFile 'git.zip'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:GIT_DOWNLOAD_SHA256); if ((Get-FileHash git.zip -Algorithm sha256).Hash -ne $env:GIT_DOWNLOAD_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; Expand-Archive -Path git.zip -DestinationPath C:\git\.; Write-Host 'Removing ...'; Remove-Item git.zip -Force; Write-Host 'Updating PATH ...'; $env:PATH = 'C:\git\cmd;C:\git\mingw64\bin;C:\git\usr\bin;' + $env:PATH; [Environment]::SetEnvironmentVariable('PATH', $env:PATH, [EnvironmentVariableTarget]::Machine); Write-Host 'Verifying install ("git version") ...'; git version; Write-Host 'Complete.';
2020-10-14 12:28:38 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GOPATH=C:\gopath
2020-10-14 12:29:02 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('{0}\bin;C:\go\bin;{1}' -f $env:GOPATH, $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); [Environment]::SetEnvironmentVariable('PATH', $newPath, [EnvironmentVariableTarget]::Machine);
2020-10-14 12:41:27 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GOLANG_VERSION=1.14.9
2020-10-14 12:43:51 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $url = 'https://storage.googleapis.com/golang/go1.14.9.windows-amd64.zip'; Write-Host ('Downloading {0} ...' -f $url); Invoke-WebRequest -Uri $url -OutFile 'go.zip'; $sha256 = '16bb44448c4423740c5fd751bad28061d5ec44cd08272d4e1efdd16cdf8221e9'; Write-Host ('Verifying sha256 ({0}) ...' -f $sha256); if ((Get-FileHash go.zip -Algorithm sha256).Hash -ne $sha256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; Expand-Archive go.zip -DestinationPath C:\; Write-Host 'Removing ...'; Remove-Item go.zip -Force; Write-Host 'Verifying install ("go version") ...'; go version; Write-Host 'Complete.';
2020-10-14 12:43:53 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) WORKDIR C:\gopath
2020-10-13 17:04:51 UTC
258 MB
1.14.9
GOPATH/go
PATH/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:d80349201e0e0bc9a1bdeb726d9339525972e3d76225d15b87f72414b0aec137 - 17.78% (45.9 MB)
[#001] sha256:7a4c9d08d8ee472a70c0c7dffb75c54e692061eb72c3b0ddf55669727b29c7d8 - 2.72% (7.02 MB)
[#002] sha256:a1c03b81470f92875dbe52bf0054ebf042576e7f28903477ad4abe4c4f9734ce - 3.58% (9.24 MB)
[#003] sha256:b196b0bc956fafcab3622d17314250431b67b84c0d5938dfff3759e02ba97efa - 18.32% (47.3 MB)
[#004] sha256:b4513ea2e624c1315c50d01e77da41c690aab244542fb1424a914e8881e0fefc - 19.21% (49.6 MB)
[#005] sha256:7169e66a7b14f53c36b2b68b2d68b5bb8111f44046a1a7ae22ade6fdbc114ef5 - 38.38% (99 MB)
[#006] sha256:01e474a4da317ca7823b717a36720f3841e96e37e38ce6dcd8a79b66d700af04 - 0.0% (155 Bytes)
/bin/sh -c #(nop) ADD file:eba6b86faf02e328fea78037ab4c892a6d231f067cd5e3078ded86fd5a429ff7 in /
2020-10-13 01:51:33 UTC/bin/sh -c #(nop) CMD ["bash"]
2020-10-13 03:42:42 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl netbase wget && rm -rf /var/lib/apt/lists/*
2020-10-13 03:43:07 UTC/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi
2020-10-13 03:44:05 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*
2020-10-13 15:53:43 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends g++ gcc libc6-dev make pkg-config && rm -rf /var/lib/apt/lists/*
2020-10-13 15:53:51 UTC/bin/sh -c #(nop) ENV PATH=/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2020-10-13 16:28:38 UTC/bin/sh -c #(nop) ENV GOLANG_VERSION=1.14.9
2020-10-13 17:03:36 UTC/bin/sh -c set -eux; dpkgArch="$(dpkg --print-architecture)"; case "${dpkgArch##*-}" in 'amd64') arch='linux-amd64'; url='https://storage.googleapis.com/golang/go1.14.9.linux-amd64.tar.gz'; sha256='f0d26ff572c72c9823ae752d3c81819a81a60c753201f51f89637482531c110a'; ;; 'armhf') arch='linux-armv6l'; url='https://storage.googleapis.com/golang/go1.14.9.linux-armv6l.tar.gz'; sha256='e85dc09608dc9fc245ebc5daea0826898ac0eb0d48ed24e2300427850876c442'; ;; 'arm64') arch='linux-arm64'; url='https://storage.googleapis.com/golang/go1.14.9.linux-arm64.tar.gz'; sha256='65e6cef5c474a3514e754f6a7987c49388bb85a7b370370c1318087ac35427fa'; ;; 'i386') arch='linux-386'; url='https://storage.googleapis.com/golang/go1.14.9.linux-386.tar.gz'; sha256='14982ef997ec323023a11cffe1a4afc3aacd1b5edebf70a00e17b67f888d8cdb'; ;; 'ppc64el') arch='linux-ppc64le'; url='https://storage.googleapis.com/golang/go1.14.9.linux-ppc64le.tar.gz'; sha256='5880a37faf93b2396edc3ff231e0f8df14d0520505cc13d01116e24d7d1d0147'; ;; 's390x') arch='linux-s390x'; url='https://storage.googleapis.com/golang/go1.14.9.linux-s390x.tar.gz'; sha256='381fc24aff153c4affcb00f4547683212157af29b8f9e3de5952d78ac35f5a0f'; ;; *) arch='src'; url='https://storage.googleapis.com/golang/go1.14.9.src.tar.gz'; sha256='c687c848cc09bcabf2b5e534c3fc4259abebbfc9014dd05a1a2dc6106f404554'; echo >&2; echo >&2 "warning: current architecture ($dpkgArch) does not have a corresponding Go binary release; will be building from source"; echo >&2; ;; esac; wget -O go.tgz.asc "$url.asc" --progress=dot:giga; wget -O go.tgz "$url" --progress=dot:giga; echo "$sha256 *go.tgz" | sha256sum --strict --check -; export GNUPGHOME="$(mktemp -d)"; gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys 'EB4C 1BFD 4F04 2F6D DDCC EC91 7721 F63B D38B 4796'; gpg --batch --verify go.tgz.asc go.tgz; gpgconf --kill all; rm -rf "$GNUPGHOME" go.tgz.asc; tar -C /usr/local -xzf go.tgz; rm go.tgz; if [ "$arch" = 'src' ]; then savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends golang-go; goEnv="$(go env | sed -rn -e '/^GO(OS|ARCH|ARM|386)=/s//export \0/p')"; eval "$goEnv"; [ -n "$GOOS" ]; [ -n "$GOARCH" ]; ( cd /usr/local/go/src; ./make.bash; ); apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark > /dev/null; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*; go install std; rm -rf /usr/local/go/pkg/*/cmd /usr/local/go/pkg/bootstrap /usr/local/go/pkg/obj /usr/local/go/pkg/tool/*/api /usr/local/go/pkg/tool/*/go_bootstrap /usr/local/go/src/cmd/dist/dist ; fi; go version
2020-10-13 17:03:51 UTC/bin/sh -c #(nop) ENV GOPATH=/go
2020-10-13 17:04:00 UTC/bin/sh -c #(nop) ENV PATH=/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2020-10-13 17:04:34 UTC/bin/sh -c mkdir -p "$GOPATH/src" "$GOPATH/bin" && chmod -R 777 "$GOPATH"
2020-10-13 17:04:51 UTC/bin/sh -c #(nop) WORKDIR /go
2020-10-13 23:05:59 UTC
252 MB
1.14.9
GOPATH/go
PATH/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:5c0fdcca2cbb5e316a288f39c8c2006f45544568ea04623c036e0b1faa066bbe - 17.33% (43.7 MB)
[#001] sha256:8216e147de931a74896e75f60d0a331dd1438bc1ae4b2d4c29c8017548e8dcbd - 2.68% (6.77 MB)
[#002] sha256:baf6642121709e17d1419901978da7d29b673d5f936e42ec3241b7d7157e9541 - 3.53% (8.91 MB)
[#003] sha256:5754411f60ee27fceb92d6380a748ae6d60239063cfa8165419be0ebf9de5834 - 17.89% (45.2 MB)
[#004] sha256:a8771f21930318372521f18351173851be5905de53c0c8a17cb705232d3f5eaa - 20.08% (50.7 MB)
[#005] sha256:cba93652a1154faf4bc1fbc72d7d8119e30a53b1a7ba96b1a377ec824ce85fdc - 38.48% (97.1 MB)
[#006] sha256:280ab7d637bc0114e9ee3104a71d800a7d33d48e5c7cf0976bdb55a3c3e6f18d - 0.0% (157 Bytes)
/bin/sh -c #(nop) ADD file:e03270d36cef8171f1f6303860ff31bb1c0eb10642b8173bfdfef9f77fa4f89c in /
2020-10-13 00:59:04 UTC/bin/sh -c #(nop) CMD ["bash"]
2020-10-13 01:34:21 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl netbase wget && rm -rf /var/lib/apt/lists/*
2020-10-13 01:34:35 UTC/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi
2020-10-13 01:35:14 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*
2020-10-13 23:04:09 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends g++ gcc libc6-dev make pkg-config && rm -rf /var/lib/apt/lists/*
2020-10-13 23:04:21 UTC/bin/sh -c #(nop) ENV PATH=/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2020-10-13 23:05:22 UTC/bin/sh -c #(nop) ENV GOLANG_VERSION=1.14.9
2020-10-13 23:05:46 UTC/bin/sh -c set -eux; dpkgArch="$(dpkg --print-architecture)"; case "${dpkgArch##*-}" in 'amd64') arch='linux-amd64'; url='https://storage.googleapis.com/golang/go1.14.9.linux-amd64.tar.gz'; sha256='f0d26ff572c72c9823ae752d3c81819a81a60c753201f51f89637482531c110a'; ;; 'armhf') arch='linux-armv6l'; url='https://storage.googleapis.com/golang/go1.14.9.linux-armv6l.tar.gz'; sha256='e85dc09608dc9fc245ebc5daea0826898ac0eb0d48ed24e2300427850876c442'; ;; 'arm64') arch='linux-arm64'; url='https://storage.googleapis.com/golang/go1.14.9.linux-arm64.tar.gz'; sha256='65e6cef5c474a3514e754f6a7987c49388bb85a7b370370c1318087ac35427fa'; ;; 'i386') arch='linux-386'; url='https://storage.googleapis.com/golang/go1.14.9.linux-386.tar.gz'; sha256='14982ef997ec323023a11cffe1a4afc3aacd1b5edebf70a00e17b67f888d8cdb'; ;; 'ppc64el') arch='linux-ppc64le'; url='https://storage.googleapis.com/golang/go1.14.9.linux-ppc64le.tar.gz'; sha256='5880a37faf93b2396edc3ff231e0f8df14d0520505cc13d01116e24d7d1d0147'; ;; 's390x') arch='linux-s390x'; url='https://storage.googleapis.com/golang/go1.14.9.linux-s390x.tar.gz'; sha256='381fc24aff153c4affcb00f4547683212157af29b8f9e3de5952d78ac35f5a0f'; ;; *) arch='src'; url='https://storage.googleapis.com/golang/go1.14.9.src.tar.gz'; sha256='c687c848cc09bcabf2b5e534c3fc4259abebbfc9014dd05a1a2dc6106f404554'; echo >&2; echo >&2 "warning: current architecture ($dpkgArch) does not have a corresponding Go binary release; will be building from source"; echo >&2; ;; esac; wget -O go.tgz.asc "$url.asc" --progress=dot:giga; wget -O go.tgz "$url" --progress=dot:giga; echo "$sha256 *go.tgz" | sha256sum --strict --check -; export GNUPGHOME="$(mktemp -d)"; gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys 'EB4C 1BFD 4F04 2F6D DDCC EC91 7721 F63B D38B 4796'; gpg --batch --verify go.tgz.asc go.tgz; gpgconf --kill all; rm -rf "$GNUPGHOME" go.tgz.asc; tar -C /usr/local -xzf go.tgz; rm go.tgz; if [ "$arch" = 'src' ]; then savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends golang-go; goEnv="$(go env | sed -rn -e '/^GO(OS|ARCH|ARM|386)=/s//export \0/p')"; eval "$goEnv"; [ -n "$GOOS" ]; [ -n "$GOARCH" ]; ( cd /usr/local/go/src; ./make.bash; ); apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark > /dev/null; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*; go install std; rm -rf /usr/local/go/pkg/*/cmd /usr/local/go/pkg/bootstrap /usr/local/go/pkg/obj /usr/local/go/pkg/tool/*/api /usr/local/go/pkg/tool/*/go_bootstrap /usr/local/go/src/cmd/dist/dist ; fi; go version
2020-10-13 23:05:54 UTC/bin/sh -c #(nop) ENV GOPATH=/go
2020-10-13 23:05:55 UTC/bin/sh -c #(nop) ENV PATH=/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2020-10-13 23:05:58 UTC/bin/sh -c mkdir -p "$GOPATH/src" "$GOPATH/bin" && chmod -R 777 "$GOPATH"
2020-10-13 23:05:59 UTC/bin/sh -c #(nop) WORKDIR /go
2020-10-13 22:21:52 UTC
270 MB
1.14.9
GOPATH/go
PATH/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:04aacb10cb67f5fa248646a0ac9f40af5a6d3b0dbef65505bb7766bed6bf4885 - 17.4% (46.9 MB)
[#001] sha256:136d6e4f4b17bdbefbe60820da5f5711a26d31c075dc69bcaf9b077d7d29262d - 2.72% (7.33 MB)
[#002] sha256:28db65b8364fc73072a0d5b51199cc9c6b108b4229d92e784b92ae67898dd0bd - 3.53% (9.52 MB)
[#003] sha256:ff74fb95e95674d2f0c26f446a2cb7c0ee055d78182a9d61e1578c64c171f2b4 - 18.45% (49.7 MB)
[#004] sha256:2198039b51ff463f1fedadd4078efe6e85fe165622f21aef869fd7c265ef7103 - 22.13% (59.7 MB)
[#005] sha256:ef5b2785cdb3553443cdd305a67b2e93100b011c742dd394f3316e8709ec1f67 - 35.77% (96.4 MB)
[#006] sha256:ec0b2f0e4862f86039a42f69b3002f2c67190fc736e9573b8e532c422253c713 - 0.0% (157 Bytes)
/bin/sh -c #(nop) ADD file:7a9016f6c75910c392bbea2cb9e146d1eba3942cdfd666a44004c79951c5d46f in /
2020-10-13 01:40:45 UTC/bin/sh -c #(nop) CMD ["bash"]
2020-10-13 02:32:48 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl netbase wget && rm -rf /var/lib/apt/lists/*
2020-10-13 02:33:03 UTC/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi
2020-10-13 02:33:48 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*
2020-10-13 22:19:27 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends g++ gcc libc6-dev make pkg-config && rm -rf /var/lib/apt/lists/*
2020-10-13 22:19:40 UTC/bin/sh -c #(nop) ENV PATH=/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2020-10-13 22:21:14 UTC/bin/sh -c #(nop) ENV GOLANG_VERSION=1.14.9
2020-10-13 22:21:46 UTC/bin/sh -c set -eux; dpkgArch="$(dpkg --print-architecture)"; case "${dpkgArch##*-}" in 'amd64') arch='linux-amd64'; url='https://storage.googleapis.com/golang/go1.14.9.linux-amd64.tar.gz'; sha256='f0d26ff572c72c9823ae752d3c81819a81a60c753201f51f89637482531c110a'; ;; 'armhf') arch='linux-armv6l'; url='https://storage.googleapis.com/golang/go1.14.9.linux-armv6l.tar.gz'; sha256='e85dc09608dc9fc245ebc5daea0826898ac0eb0d48ed24e2300427850876c442'; ;; 'arm64') arch='linux-arm64'; url='https://storage.googleapis.com/golang/go1.14.9.linux-arm64.tar.gz'; sha256='65e6cef5c474a3514e754f6a7987c49388bb85a7b370370c1318087ac35427fa'; ;; 'i386') arch='linux-386'; url='https://storage.googleapis.com/golang/go1.14.9.linux-386.tar.gz'; sha256='14982ef997ec323023a11cffe1a4afc3aacd1b5edebf70a00e17b67f888d8cdb'; ;; 'ppc64el') arch='linux-ppc64le'; url='https://storage.googleapis.com/golang/go1.14.9.linux-ppc64le.tar.gz'; sha256='5880a37faf93b2396edc3ff231e0f8df14d0520505cc13d01116e24d7d1d0147'; ;; 's390x') arch='linux-s390x'; url='https://storage.googleapis.com/golang/go1.14.9.linux-s390x.tar.gz'; sha256='381fc24aff153c4affcb00f4547683212157af29b8f9e3de5952d78ac35f5a0f'; ;; *) arch='src'; url='https://storage.googleapis.com/golang/go1.14.9.src.tar.gz'; sha256='c687c848cc09bcabf2b5e534c3fc4259abebbfc9014dd05a1a2dc6106f404554'; echo >&2; echo >&2 "warning: current architecture ($dpkgArch) does not have a corresponding Go binary release; will be building from source"; echo >&2; ;; esac; wget -O go.tgz.asc "$url.asc" --progress=dot:giga; wget -O go.tgz "$url" --progress=dot:giga; echo "$sha256 *go.tgz" | sha256sum --strict --check -; export GNUPGHOME="$(mktemp -d)"; gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys 'EB4C 1BFD 4F04 2F6D DDCC EC91 7721 F63B D38B 4796'; gpg --batch --verify go.tgz.asc go.tgz; gpgconf --kill all; rm -rf "$GNUPGHOME" go.tgz.asc; tar -C /usr/local -xzf go.tgz; rm go.tgz; if [ "$arch" = 'src' ]; then savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends golang-go; goEnv="$(go env | sed -rn -e '/^GO(OS|ARCH|ARM|386)=/s//export \0/p')"; eval "$goEnv"; [ -n "$GOOS" ]; [ -n "$GOARCH" ]; ( cd /usr/local/go/src; ./make.bash; ); apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark > /dev/null; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*; go install std; rm -rf /usr/local/go/pkg/*/cmd /usr/local/go/pkg/bootstrap /usr/local/go/pkg/obj /usr/local/go/pkg/tool/*/api /usr/local/go/pkg/tool/*/go_bootstrap /usr/local/go/src/cmd/dist/dist ; fi; go version
2020-10-13 22:21:48 UTC/bin/sh -c #(nop) ENV GOPATH=/go
2020-10-13 22:21:49 UTC/bin/sh -c #(nop) ENV PATH=/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2020-10-13 22:21:51 UTC/bin/sh -c mkdir -p "$GOPATH/src" "$GOPATH/bin" && chmod -R 777 "$GOPATH"
2020-10-13 22:21:52 UTC/bin/sh -c #(nop) WORKDIR /go
2020-10-13 16:38:59 UTC
260 MB
1.14.9
GOPATH/go
PATH/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:9fd0710976c57d8d2e5a2f13cccd726cca5d8b0f607868465c8cffbdcf2d3940 - 17.97% (46.7 MB)
[#001] sha256:4c82d5acaa60d5b36fc634c6b79ed00bee8d08c39b78242c5fe5938754739ab7 - 2.65% (6.9 MB)
[#002] sha256:563cb7b9f3c30fcbb19d79fcfce967a57d35fde75fab6e71be156974ed0c6f5e - 3.67% (9.55 MB)
[#003] sha256:cdb7ecbbb9a11d82d8b68ac910eb4d6a536ce23ee4172e81a7166d6b6f22535c - 18.64% (48.5 MB)
[#004] sha256:5d59dde81c0fb34075db3f3333fe270df5548321a70da94193c507ae578bded2 - 20.02% (52.1 MB)
[#005] sha256:7ff59c118d9e889cd05c43262c4565c9e514c6713153788e92d23d612a8651a8 - 37.05% (96.4 MB)
[#006] sha256:db75ae764bd54c4246f04a406cdc4b6897b8a8cf6f1a2d36034f975b3c84390f - 0.0% (126 Bytes)
/bin/sh -c #(nop) ADD file:0ad6bbc90b50de1f5a0751fd1da65e211c687820c0339fdd38f12d689638b939 in /
2020-10-13 01:09:24 UTC/bin/sh -c #(nop) CMD ["bash"]
2020-10-13 02:11:47 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl netbase wget && rm -rf /var/lib/apt/lists/*
2020-10-13 02:12:03 UTC/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi
2020-10-13 02:12:57 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*
2020-10-13 16:23:19 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends g++ gcc libc6-dev make pkg-config && rm -rf /var/lib/apt/lists/*
2020-10-13 16:23:20 UTC/bin/sh -c #(nop) ENV PATH=/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2020-10-13 16:31:14 UTC/bin/sh -c #(nop) ENV GOLANG_VERSION=1.14.9
2020-10-13 16:38:54 UTC/bin/sh -c set -eux; dpkgArch="$(dpkg --print-architecture)"; case "${dpkgArch##*-}" in 'amd64') arch='linux-amd64'; url='https://storage.googleapis.com/golang/go1.14.9.linux-amd64.tar.gz'; sha256='f0d26ff572c72c9823ae752d3c81819a81a60c753201f51f89637482531c110a'; ;; 'armhf') arch='linux-armv6l'; url='https://storage.googleapis.com/golang/go1.14.9.linux-armv6l.tar.gz'; sha256='e85dc09608dc9fc245ebc5daea0826898ac0eb0d48ed24e2300427850876c442'; ;; 'arm64') arch='linux-arm64'; url='https://storage.googleapis.com/golang/go1.14.9.linux-arm64.tar.gz'; sha256='65e6cef5c474a3514e754f6a7987c49388bb85a7b370370c1318087ac35427fa'; ;; 'i386') arch='linux-386'; url='https://storage.googleapis.com/golang/go1.14.9.linux-386.tar.gz'; sha256='14982ef997ec323023a11cffe1a4afc3aacd1b5edebf70a00e17b67f888d8cdb'; ;; 'ppc64el') arch='linux-ppc64le'; url='https://storage.googleapis.com/golang/go1.14.9.linux-ppc64le.tar.gz'; sha256='5880a37faf93b2396edc3ff231e0f8df14d0520505cc13d01116e24d7d1d0147'; ;; 's390x') arch='linux-s390x'; url='https://storage.googleapis.com/golang/go1.14.9.linux-s390x.tar.gz'; sha256='381fc24aff153c4affcb00f4547683212157af29b8f9e3de5952d78ac35f5a0f'; ;; *) arch='src'; url='https://storage.googleapis.com/golang/go1.14.9.src.tar.gz'; sha256='c687c848cc09bcabf2b5e534c3fc4259abebbfc9014dd05a1a2dc6106f404554'; echo >&2; echo >&2 "warning: current architecture ($dpkgArch) does not have a corresponding Go binary release; will be building from source"; echo >&2; ;; esac; wget -O go.tgz.asc "$url.asc" --progress=dot:giga; wget -O go.tgz "$url" --progress=dot:giga; echo "$sha256 *go.tgz" | sha256sum --strict --check -; export GNUPGHOME="$(mktemp -d)"; gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys 'EB4C 1BFD 4F04 2F6D DDCC EC91 7721 F63B D38B 4796'; gpg --batch --verify go.tgz.asc go.tgz; gpgconf --kill all; rm -rf "$GNUPGHOME" go.tgz.asc; tar -C /usr/local -xzf go.tgz; rm go.tgz; if [ "$arch" = 'src' ]; then savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends golang-go; goEnv="$(go env | sed -rn -e '/^GO(OS|ARCH|ARM|386)=/s//export \0/p')"; eval "$goEnv"; [ -n "$GOOS" ]; [ -n "$GOARCH" ]; ( cd /usr/local/go/src; ./make.bash; ); apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark > /dev/null; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*; go install std; rm -rf /usr/local/go/pkg/*/cmd /usr/local/go/pkg/bootstrap /usr/local/go/pkg/obj /usr/local/go/pkg/tool/*/api /usr/local/go/pkg/tool/*/go_bootstrap /usr/local/go/src/cmd/dist/dist ; fi; go version
2020-10-13 16:38:56 UTC/bin/sh -c #(nop) ENV GOPATH=/go
2020-10-13 16:38:57 UTC/bin/sh -c #(nop) ENV PATH=/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2020-10-13 16:38:58 UTC/bin/sh -c mkdir -p "$GOPATH/src" "$GOPATH/bin" && chmod -R 777 "$GOPATH"
2020-10-13 16:38:59 UTC/bin/sh -c #(nop) WORKDIR /go
2020-10-14 03:38:42 UTC
290 MB
1.14.9
GOPATH/go
PATH/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:b5d2617265f370f18bc3d48beee684b1ba0eb6a2b02f813353f4bbd7084830ff - 17.8% (51.6 MB)
[#001] sha256:e3a3ae049e8243812509a783d05c2170162d6fb319e07323793cc134f45c8c1c - 2.71% (7.87 MB)
[#002] sha256:458ef48afca43b31f71a9dd56c10f499a3833b0904195936caa007028295fb36 - 3.53% (10.2 MB)
[#003] sha256:34e90a018c82f576b578427df3b9f10a7edce9b4092e97eeaba3877383220d62 - 18.89% (54.8 MB)
[#004] sha256:a722b29e433425d5887a68e8a8e0fb83608253c41c587c92767df6a161efb98c - 24.19% (70.2 MB)
[#005] sha256:c6cf28ea41e7d5c8c3ecb894d894243057ba8d4128a4ddf61d0442f05a50e31f - 32.88% (95.4 MB)
[#006] sha256:33070bdb4fac4dc8fd3055a10dbceb1f41dc4bfafaea4a512ced39a13f084399 - 0.0% (156 Bytes)
/bin/sh -c #(nop) ADD file:339c3116c875720e7ba27e67ec6c60bc913e8108f7cccce90537c0915c5130a5 in /
2020-10-13 01:37:48 UTC/bin/sh -c #(nop) CMD ["bash"]
2020-10-13 08:58:21 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl netbase wget && rm -rf /var/lib/apt/lists/*
2020-10-13 08:58:49 UTC/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi
2020-10-13 09:01:04 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*
2020-10-14 03:36:14 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends g++ gcc libc6-dev make pkg-config && rm -rf /var/lib/apt/lists/*
2020-10-14 03:36:27 UTC/bin/sh -c #(nop) ENV PATH=/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2020-10-14 03:37:42 UTC/bin/sh -c #(nop) ENV GOLANG_VERSION=1.14.9
2020-10-14 03:38:17 UTC/bin/sh -c set -eux; dpkgArch="$(dpkg --print-architecture)"; case "${dpkgArch##*-}" in 'amd64') arch='linux-amd64'; url='https://storage.googleapis.com/golang/go1.14.9.linux-amd64.tar.gz'; sha256='f0d26ff572c72c9823ae752d3c81819a81a60c753201f51f89637482531c110a'; ;; 'armhf') arch='linux-armv6l'; url='https://storage.googleapis.com/golang/go1.14.9.linux-armv6l.tar.gz'; sha256='e85dc09608dc9fc245ebc5daea0826898ac0eb0d48ed24e2300427850876c442'; ;; 'arm64') arch='linux-arm64'; url='https://storage.googleapis.com/golang/go1.14.9.linux-arm64.tar.gz'; sha256='65e6cef5c474a3514e754f6a7987c49388bb85a7b370370c1318087ac35427fa'; ;; 'i386') arch='linux-386'; url='https://storage.googleapis.com/golang/go1.14.9.linux-386.tar.gz'; sha256='14982ef997ec323023a11cffe1a4afc3aacd1b5edebf70a00e17b67f888d8cdb'; ;; 'ppc64el') arch='linux-ppc64le'; url='https://storage.googleapis.com/golang/go1.14.9.linux-ppc64le.tar.gz'; sha256='5880a37faf93b2396edc3ff231e0f8df14d0520505cc13d01116e24d7d1d0147'; ;; 's390x') arch='linux-s390x'; url='https://storage.googleapis.com/golang/go1.14.9.linux-s390x.tar.gz'; sha256='381fc24aff153c4affcb00f4547683212157af29b8f9e3de5952d78ac35f5a0f'; ;; *) arch='src'; url='https://storage.googleapis.com/golang/go1.14.9.src.tar.gz'; sha256='c687c848cc09bcabf2b5e534c3fc4259abebbfc9014dd05a1a2dc6106f404554'; echo >&2; echo >&2 "warning: current architecture ($dpkgArch) does not have a corresponding Go binary release; will be building from source"; echo >&2; ;; esac; wget -O go.tgz.asc "$url.asc" --progress=dot:giga; wget -O go.tgz "$url" --progress=dot:giga; echo "$sha256 *go.tgz" | sha256sum --strict --check -; export GNUPGHOME="$(mktemp -d)"; gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys 'EB4C 1BFD 4F04 2F6D DDCC EC91 7721 F63B D38B 4796'; gpg --batch --verify go.tgz.asc go.tgz; gpgconf --kill all; rm -rf "$GNUPGHOME" go.tgz.asc; tar -C /usr/local -xzf go.tgz; rm go.tgz; if [ "$arch" = 'src' ]; then savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends golang-go; goEnv="$(go env | sed -rn -e '/^GO(OS|ARCH|ARM|386)=/s//export \0/p')"; eval "$goEnv"; [ -n "$GOOS" ]; [ -n "$GOARCH" ]; ( cd /usr/local/go/src; ./make.bash; ); apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark > /dev/null; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*; go install std; rm -rf /usr/local/go/pkg/*/cmd /usr/local/go/pkg/bootstrap /usr/local/go/pkg/obj /usr/local/go/pkg/tool/*/api /usr/local/go/pkg/tool/*/go_bootstrap /usr/local/go/src/cmd/dist/dist ; fi; go version
2020-10-14 03:38:27 UTC/bin/sh -c #(nop) ENV GOPATH=/go
2020-10-14 03:38:30 UTC/bin/sh -c #(nop) ENV PATH=/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2020-10-14 03:38:40 UTC/bin/sh -c mkdir -p "$GOPATH/src" "$GOPATH/bin" && chmod -R 777 "$GOPATH"
2020-10-14 03:38:42 UTC/bin/sh -c #(nop) WORKDIR /go
2020-10-13 11:50:10 UTC
267 MB
1.14.9
GOPATH/go
PATH/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:dcbd85f88306d080bce94006a992947eaf462efa80b07c202b0514e6ef412fdf - 17.5% (46.7 MB)
[#001] sha256:cfbb6631e0a71a71f08faafe174e0f83ad00c87d97301c2bb19333675f52b630 - 2.64% (7.04 MB)
[#002] sha256:0fd2d271697ef75e40cfaf5639cbd0b5730ebe44e841fa156ed503f5c3395c07 - 3.53% (9.42 MB)
[#003] sha256:11ee6330fdd3fb2bbdaee3b0cf6e327884e191d85e257c9d94345c55dbf83b5e - 18.36% (49 MB)
[#004] sha256:03d95435a5ed135058e1ecb863d16380fbe6fec384761bfc8b95ab54dd59869b - 20.28% (54.1 MB)
[#005] sha256:dbf7c89cc895b53a0a831cd566bb4cfe336a14acb3c146af0b58a52b72db5d87 - 37.68% (101 MB)
[#006] sha256:8f8e6ed91756026d2fbeb62b572e715b13842a1e1c3e688d2148bb5e36dde09a - 0.0% (155 Bytes)
/bin/sh -c #(nop) ADD file:cc8968c8733f7fb6fb644b948e4a21999440d079560afbb2acb9d666de3886ec in /
2020-10-13 01:42:09 UTC/bin/sh -c #(nop) CMD ["bash"]
2020-10-13 02:06:05 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl netbase wget && rm -rf /var/lib/apt/lists/*
2020-10-13 02:06:09 UTC/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi
2020-10-13 02:06:29 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*
2020-10-13 11:49:13 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends g++ gcc libc6-dev make pkg-config && rm -rf /var/lib/apt/lists/*
2020-10-13 11:49:16 UTC/bin/sh -c #(nop) ENV PATH=/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2020-10-13 11:49:49 UTC/bin/sh -c #(nop) ENV GOLANG_VERSION=1.14.9
2020-10-13 11:50:02 UTC/bin/sh -c set -eux; dpkgArch="$(dpkg --print-architecture)"; case "${dpkgArch##*-}" in 'amd64') arch='linux-amd64'; url='https://storage.googleapis.com/golang/go1.14.9.linux-amd64.tar.gz'; sha256='f0d26ff572c72c9823ae752d3c81819a81a60c753201f51f89637482531c110a'; ;; 'armhf') arch='linux-armv6l'; url='https://storage.googleapis.com/golang/go1.14.9.linux-armv6l.tar.gz'; sha256='e85dc09608dc9fc245ebc5daea0826898ac0eb0d48ed24e2300427850876c442'; ;; 'arm64') arch='linux-arm64'; url='https://storage.googleapis.com/golang/go1.14.9.linux-arm64.tar.gz'; sha256='65e6cef5c474a3514e754f6a7987c49388bb85a7b370370c1318087ac35427fa'; ;; 'i386') arch='linux-386'; url='https://storage.googleapis.com/golang/go1.14.9.linux-386.tar.gz'; sha256='14982ef997ec323023a11cffe1a4afc3aacd1b5edebf70a00e17b67f888d8cdb'; ;; 'ppc64el') arch='linux-ppc64le'; url='https://storage.googleapis.com/golang/go1.14.9.linux-ppc64le.tar.gz'; sha256='5880a37faf93b2396edc3ff231e0f8df14d0520505cc13d01116e24d7d1d0147'; ;; 's390x') arch='linux-s390x'; url='https://storage.googleapis.com/golang/go1.14.9.linux-s390x.tar.gz'; sha256='381fc24aff153c4affcb00f4547683212157af29b8f9e3de5952d78ac35f5a0f'; ;; *) arch='src'; url='https://storage.googleapis.com/golang/go1.14.9.src.tar.gz'; sha256='c687c848cc09bcabf2b5e534c3fc4259abebbfc9014dd05a1a2dc6106f404554'; echo >&2; echo >&2 "warning: current architecture ($dpkgArch) does not have a corresponding Go binary release; will be building from source"; echo >&2; ;; esac; wget -O go.tgz.asc "$url.asc" --progress=dot:giga; wget -O go.tgz "$url" --progress=dot:giga; echo "$sha256 *go.tgz" | sha256sum --strict --check -; export GNUPGHOME="$(mktemp -d)"; gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys 'EB4C 1BFD 4F04 2F6D DDCC EC91 7721 F63B D38B 4796'; gpg --batch --verify go.tgz.asc go.tgz; gpgconf --kill all; rm -rf "$GNUPGHOME" go.tgz.asc; tar -C /usr/local -xzf go.tgz; rm go.tgz; if [ "$arch" = 'src' ]; then savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends golang-go; goEnv="$(go env | sed -rn -e '/^GO(OS|ARCH|ARM|386)=/s//export \0/p')"; eval "$goEnv"; [ -n "$GOOS" ]; [ -n "$GOARCH" ]; ( cd /usr/local/go/src; ./make.bash; ); apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark > /dev/null; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*; go install std; rm -rf /usr/local/go/pkg/*/cmd /usr/local/go/pkg/bootstrap /usr/local/go/pkg/obj /usr/local/go/pkg/tool/*/api /usr/local/go/pkg/tool/*/go_bootstrap /usr/local/go/src/cmd/dist/dist ; fi; go version
2020-10-13 11:50:08 UTC/bin/sh -c #(nop) ENV GOPATH=/go
2020-10-13 11:50:09 UTC/bin/sh -c #(nop) ENV PATH=/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2020-10-13 11:50:09 UTC/bin/sh -c mkdir -p "$GOPATH/src" "$GOPATH/bin" && chmod -R 777 "$GOPATH"
2020-10-13 11:50:10 UTC/bin/sh -c #(nop) WORKDIR /go
Please be careful as this will not just delete the reference but also the actual content!
For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.